import request from '@/assets/js/utils/request'

// 专家变更信息申请列表
export function getChangeExpertList(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertChangeApply/getChangeExpertList',
    method: 'post',
    data
  })
}
// 获取变更id
export function getExpertApplyData(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertChangeApply/getExpertApplyData',
    method: 'post',
    data
  })
}

// --------------        基本信息       ----------------------

// 申请变更专家基本信息——查询
export function queryTBExpertInfoHistoryByApplyId(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertinfohistory/queryTBExpertInfoHistoryByApplyId',
    method: 'post',
    data
  })
}

// 申请变更专家基本信息——修改
export function updateTBExpertInfoHistory(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertinfohistory/UpdateTBExpertInfoHistory',
    method: 'post',
    data
  })
}

// 申请变更专家基本信息——提交
export function submitExpertChangeApply(applyId) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertChangeApply/submitExpertApply?applyId=' + applyId,
    method: 'post'
  })
}

// --------------        任职经历       ----------------------

// 申请变更专家任职经历——查询
export function queryAllTBExpertCareerHistoryForUpdate(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcareerhistory/queryAllTBExpertCareerHistoryForUpdate',
    method: 'post',
    data
  })
}

// 申请变更专家任职经历——修改
export function saveOrUpdateTBExpertCareerHistory(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcareerhistory/saveOrUpdateTBExpertCareerHistory',
    method: 'post',
    data
  })
}

// 申请变更查询专家某个任职经历信息
export function queryTBExpertCareerHistorById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcareerhistory/queryTBExpertCareerHistorById?id=' + id,
    method: 'post'
  })
}

// 申请变更删除专家某个任职经历信息
export function deleteTBExpertCareerHistorById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcareerhistory/deleteTBExpertCareerHistorById?id=' + id,
    method: 'post'
  })
}

// --------------        教育经历       ----------------------

// 删除专家某个教育经历信息
export function deleteTBExpertEducationInfoById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEducationHistory/deleteTBExpertEducationInfoById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有教育经历信息
export function queryAllTBExpertEducationInfoByApplyId(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEducationHistory/queryAllTBExpertEducationInfoByApplyId',
    method: 'post',
    data
  })
}

// 查询专家某个教育经历信息
export function queryTBExpertEducationInfoById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEducationHistory/queryTBExpertEducationInfoById?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个教育经历信息
export function saveOrUpdateTBExpertEducationInfoById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertTitlesHistory/saveOrUpdateTBExpertEducationInfoById',
    method: 'post',
    data
  })
}

// --------------        职称信息       ----------------------

// 删除专家某个职称信息
export function delExpertTitleHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEducationHistory/delExpertTitleHistoryById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有职称信息
export function queryexpertTitlesLisByApplyId(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertTitlesHistory/queryexpertTitlesLisByApplyId',
    method: 'post',
    data
  })
}

// 查询专家某个职称信息
export function queryExpertTitleHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertTitlesHistory/queryExpertTitleHistoryById?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个职称信息
export function saveOrUpdateExpertTitle(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertTitlesHistory/saveOrUpdateExpertTitle',
    method: 'post',
    data
  })
}

// --------------        职业资格       ----------------------

// 删除专家某个职业资格
export function deleteTBExpertCertificationHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcertificationhistory/deleteTBExpertCertificationHistoryById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有职业资格
export function queryAllTBExpertCertificationHistoryForUpdate(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcertificationhistory/queryAllTBExpertCertificationHistoryForUpdate',
    method: 'post',
    data
  })
}

// 查询专家某个职业资格
export function queryTBExpertCertificationHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcertificationhistory/queryTBExpertCertificationHistoryById?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个职业资格
export function saveOrUpdateTBExpertCertificationHistory(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertcertificationhistory/saveOrUpdateTBExpertCertificationHistory',
    method: 'post',
    data
  })
}

// --------------        专家成果       ----------------------

// 根据申请id查询专家成果
export function queryExpertAchievementByApplyId(applyId) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertAchievementHistory/queryExpertAchievementByApplyId?applyId=' + applyId,
    method: 'post'
  })
}

// 保存或者更新专家成果
export function saveOrUpdateyExpertAchievementTitle(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertAchievementHistory/saveOrUpdateExpertTitle',
    method: 'post',
    data
  })
}

// --------------        评标专业       ----------------------

// 删除专家某个评标专业
export function delExpertSpecialById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEvaluationSpecialHistory/delExpertSpecialById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有评标专业
export function queryExpertSepcialLisByApplyId(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEvaluationSpecialHistory/queryExpertSepcialLisByApplyId',
    method: 'post',
    data
  })
}

// 查询专家某个评标专业
export function queryExpertSepcialByExpertId(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEvaluationSpecialHistory/queryExpertSepcialByExpertId?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个评标专业
export function saveOrUpdateExpertSepcial(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/expertEvaluationSpecialHistory/saveOrUpdateExpertSepcial',
    method: 'post',
    data
  })
}

// --------------        回避单位       ----------------------

// 删除专家某个回避单位
export function deleteTBExpertAvoidCompanyHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertavoidcompanyhistory/deleteTBExpertAvoidCompanyHistoryById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有回避单位
export function queryAllTBExpertAvoidCompanyHistoryForUpdate(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertavoidcompanyhistory/queryAllTBExpertAvoidCompanyHistoryForUpdate',
    method: 'post',
    data
  })
}

// 查询专家某个回避单位
export function queryTBExpertAvoidCompanyHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertavoidcompanyhistory/queryTBExpertAvoidCompanyHistoryById?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个回避单位
export function saveOrUpdateTBExpertAvoidCompanyHistory(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertavoidcompanyhistory/saveOrUpdateTBExpertAvoidCompanyHistory',
    method: 'post',
    data
  })
}

// --------------       历史评标记录信息        ----------------------

// 删除专家某个历史评标记录信息
export function deleteTBExpertEvaluationHistoryHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertevaluationhistoryhistory/deleteTBExpertEvaluationHistoryHistoryById?id=' + id,
    method: 'post'
  })
}

// 查询专家所有历史评标记录信息
export function queryAllTBExpertEvaluationHistoryHistoryForUpdate(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertevaluationhistoryhistory/queryAllTBExpertEvaluationHistoryHistoryForUpdate',
    method: 'post',
    data
  })
}

// 查询专家某个历史评标记录信息
export function queryTBExpertEvaluationHistoryHistoryById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertevaluationhistoryhistory/queryTBExpertEvaluationHistoryHistoryById?id=' + id,
    method: 'post'
  })
}

// 新增或修改专家某个历史评标记录信息
export function saveOrUpdateTBExpertEvaluationHistoryHistory(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/tbexpertevaluationhistoryhistory/saveOrUpdateTBExpertEvaluationHistoryHistory',
    method: 'post',
    data
  })
}
